package com.xhly.manageapp.network.app

import com.xhly.corelib.network.bean.ResponseData
import com.xhly.manageapp.bean.app.AppModel
import com.xhly.manageapp.bean.app.ListAppBean
import com.xhly.manageapp.bean.log.UpdateBean
import com.xhly.manageapp.bean.WallpaperBean
import com.xhly.manageapp.bean.app.AppInstallBean
import com.xhly.manageapp.network.UriAdress
import retrofit2.http.Body
import retrofit2.http.POST

interface AppService {
    /**
     * 获得应用列表包含必装应用和推荐，这些应用即为显示白名单。
     */
    @POST(UriAdress.LIST_APP)
    suspend fun postListApp(@Body listapp: ListAppBean): ResponseData<ArrayList<AppModel>>

    /**
     * 获得必装应用
     */
    @POST(UriAdress.FORCEAPP)
    suspend fun postForceApp(): ResponseData<ArrayList<AppModel>>

    /**
     * 每天请求一次app更新接口，这个接口是用于提交管控自身的版本信息统计
     */
    @POST(UriAdress.CLIENT_ADD)
    suspend fun postClientAdd(@Body updateBean: UpdateBean): ResponseData<Any>

    /**
     * 获得设备壁纸。
     */
    @POST(UriAdress.WALLPAPERPAD)
    suspend fun postWallpaperPad(): ResponseData<WallpaperBean>

    /**
     * 设备已安装应用-批量添加
     */
    @POST(UriAdress.APPINSTALL_ADD)
    suspend fun postAppInstallAdd(@Body list:List<AppInstallBean>):ResponseData<Any>
}